/***************************************************************************\

   File Name:  addmenu.h

   1.  Lotus grants you a non-exclusive royalty free right to use and modify
       the source code version and to reproduce and distribute the object
       code version of the Example Programs provided in the Toolkit, provided
       that you:

       a) distribute the Example Programs only in conjunction with and as a
          part of your software application product which is designed as an
          add-in to Lotus 1-2-3, and

       b) do not represent your product to be a product of Lotus Development
          Corporation.

   2.  The Example Programs are provided as is, without warranty of any kind,
       either express or implied, including, without limitation, the implied
       warranties of merchantability of fitness for a particular purpose.

\***************************************************************************/

#if !defined(ADDMENU_H)
#define ADDMENU_H

#define ID_BASE         0

/* these values are the offsets from the starting menu id for the menu
 * items to be added by the add-in.
 */
#define IDP_NEWPOPUP    0
#define IDP_CHECKITEM   1
#define IDP_GRAYITEM    2
#define IDP_CHANGELABEL 3
#define IDP_RESTORE     4

#define ID_MAX          4

/* these are the resource ids for the menu item text for the new menu
 * items. the menu item text strings are defined in the stringtable in
 * the resource file.
 */
#define IDS_NEWPOPUP    IDP_NEWPOPUP
#define IDS_CHECKITEM   IDP_CHECKITEM
#define IDS_GRAYITEM    IDP_GRAYITEM
#define IDS_CHANGELABEL IDP_CHANGELABEL
#define IDS_RESTORE     IDP_RESTORE

#define IDS_ALTLABEL    (ID_MAX + 1)

/* these are the resource ids for the menu item long prompts for the new
 * menu items. the long prompt strings are defined in the stringtable in
 * the resource file.
 */
#define IDL_NEWPOPUP    (IDS_NEWPOPUP + 16)
#define IDL_CHECKITEM   (IDS_CHECKITEM + 16)
#define IDL_GRAYITEM    (IDS_GRAYITEM + 16)
#define IDL_CHANGELABEL (IDS_CHANGELABEL + 16)
#define IDL_RESTORE     (IDS_RESTORE + 16)

#define MAX_SHORT_LEN   20
#define MAX_LONG_LEN    55

#endif   /* !defined(ADDMENU_H) */

